/*
   olden.h - arrays to convert modern letters to
   archaic English letters, for use in olden.c.

   Copyright (C) 2019 Paul Hardy <unifoundry@unifoundry.com>


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

/*
   eth is the array of "th" words with a voiced "th",
   to convert to letter eth.
*/

#define N_ETH 352

char *eth [N_ETH] = {
   "airworthy",
   "algorithm",
   "although",
   "altogether",
   "another",
   "antilogarithm",
   "arrhythmia",
   "aweather",
   "bathe",
   "bathed",
   "bathes",
   "bathud",  /* Chaucer */
   "bedclothes",
   "bellwether",
   "betroth",
   "betrothal",
   "betrothed",
   "blameworthy",
   "blather",
   "blatherskite",
   "blether",
   "blithe",
   "blither",
   "blithering",
   "blithesome",
   "bother",
   "botheration",
   "bothersome",
   "breathe",
   "breathed",
   "breather",
   "breathes",
   "breathing",
   "brethren",
   "brother",
   "brotherhood",
   "brotherly",
   "burthen",
   "cither",
   "clothe",
   "clothed",
   "clothes",
   "clothesbasket",
   "clotheshorse",
   "clothesline",
   "clothespin",
   "clothespress",
   "clothier",
   "clothing",
   "cologarithm",
   "dither",
   "either",
   "ensheathe",
   "ensheathed",
   "enswathe",
   "enswathed",
   "enwreathe",
   "enwreathed",
   "eurhythmic",
   "eurhythmics",
   "eurhythmy",
   "eurythmic",
   "eurythmics",
   "fairweather",
   "farther",
   "farthermost",
   "farthest",
   "farthing",
   "farthingale",
   "father",
   "fatherhood",
   "fatherland",
   "fatherless",
   "fatherly",
   "fathom",
   "fathometer",
   "fathomless",
   "feather",
   "featherbedding",
   "featherbrain",
   "feathercut",
   "feathered",
   "featheredge",
   "featherhead",
   "feathering",
   "feathers",
   "featherstitch",
   "featherweight",
   "feathery",
   "forefather",
   "foregather",
   "forgather",
   "fotheringhay",
   "further",
   "furtherance",
   "furthermore",
   "furthermost",
   "furthest",
   "gather",
   "gathering",
   "gatherum",
   "godfather",
   "godmother",
   "grandfather",
   "grandfatherly",
   "grandmother",
   "grandmotherly",
   "graveclothes",
   "greathearted",
   "heathen",
   "heathendom",
   "heathenish",
   "heathenism",
   "heathenize",
   "heathenry",
   "heather",
   "hither",
   "hithermost",
   "hitherto",
   "hitherward",
   "housefather",
   "housemother",
   "inbreathe",
   "ingather",
   "ingathering",
   "lathe",
   "lather",
   "lathery",
   "lathing",
   "lathy",
   "leather",
   "leatherback",
   "leatherette",
   "leatherjacket",
   "leatherleaf",
   "leathern",
   "leatherneck",
   "leatheroid",
   "leatherwood",
   "leatherworker",
   "leathery",
   "lithe",
   "lithesome",
   "loathe",
   "loathed",
   "loathes",
   "loathing",
   "loathly",
   "loathsome",
   "logarithm",
   "logarithmic",
   "loudmouthed",
   "mealymouthed",
   "mither",
   "mother",
   "motherhood",
   "mothering",
   "motherland",
   "motherless",
   "motherly",
   "motherwell",
   "motherwort",
   "mouthed",
   "murther",
   "natheless",
   "neither",
   "nether",
   "netherlands",
   "nethermost",
   "nevertheless",
   "newsworthy",
   "norther",
   "northerly",
   "northern",
   "northernmost",
   "noteworthy",
   "nowhither",
   "other",
   "otherness",
   "otherwhere",
   "otherwise",
   "otherworld",
   "otherworldly",
   "oththaet",  /* Beowulf */
   "pinfeather",
   "plainclothesman",
   "pother",
   "prithee",
   "rathe",
   "rather",
   "rhythm",
   "rhythmical",
   "rhythmics",
   "rhythmist",
   "rotherham",
   "rothermere",
   "scathe",
   "scathing",
   "scythe",
   "seaworthy",
   "seethe",
   "seethed",
   "seethes",
   "sheathe",
   "sheathed",
   "sheathes",
   "sheathing",
   "slather",
   "slither",
   "smallclothes",
   "smithereens",
   "smooth",
   "smoothbore",
   "smoothen",
   "smoothie",
   "smother",
   "soothe",
   "soothed",
   "soothes",
   "soothing",
   "souther",
   "southerly",
   "southern",
   "southerner",
   "southernly",
   "southernmost",
   "spathe",
   "stepbrother",
   "stepfather",
   "stepmother",
   "sunbathe",
   "sunbathed",
   "sunbathes",
   "swarthy",
   "swathe",
   "swathed",
   "swathes",
   "syththan",  /* Beowulf */
   "teethe",
   "teethed",
   "teethes",
   "tether",
   "tetherball",
   "tha",  /* Beowulf */
   "than",
   "that",
   "the",
   "thee",
   "their",
   "theirs",
   "them",
   "themselves",
   "then",
   "thence",
   "thenceforth",
   "thenceforward",
   "there",
   "thereabout",
   "thereabouts",
   "thereafter",
   "thereat",
   "thereby",
   "therefor",
   "therefore",
   "therefrom",
   "therein",
   "thereinafter",
   "thereinto",
   "thereof",
   "thereon",
   "thereto",
   "theretofore",
   "thereunder",
   "thereupon",
   "therewith",
   "therewithal",
   "these",
   "they",
   "they'd",
   "they're",
   "they've",
   "thine",
   "this",
   "thither",
   "thitherto",
   "tho",
   "those",
   "thou",
   "though",
   "thus",
   "thusly",
   "thy",
   "thyself",
   "tithable",
   "tithe",
   "tithed",
   "tithes",
   "tithing",
   "together",
   "togetherness",
   "toothed",
   "tother",
   "trustworthy",
   "unbreathed",
   "unclothe",
   "unclothed",
   "unclothes",
   "underclothes",
   "underclothing",
   "unfathomable",
   "unscathed",
   "unsheathe",
   "unsheathed",
   "unsheathes",
   "wearth",  /* Beowulf */
   "weather",
   "weatherboard",
   "weatherboarding",
   "weathercock",
   "weathered",
   "weatherglass",
   "weathering",
   "weatherly",
   "weatherman",
   "weatherproof",
   "weathertight",
   "weatherworn",
   "weorthdmyndum",  /* Beowulf */
   "wether",
   "whether",
   "whither",
   "whithersoever",
   "whitherward",
   "whitleather",
   "withe",
   "wither",
   "withered",
   "witherite",
   "withers",
   "withershins",
   "withy",
   "woolgathering",
   "worthington",
   "worthy",
   "wreathe",
   "wreathed",
   "wreathes",
   "writhe",
   "writhed",
   "writhen",
   "writhes",
   "zither"
};


/*
   t4two is the array of words with "th" to leave unmodified.
*/
#define N_T4TWO 86

char *t4two[N_T4TWO] = {
   "adulthood",
   "anthill",
   "apartheid",
   "beethoven",
   "bibliotheca",
   "boathouse",
   "cathead",
   "cathouse",
   "chatham",
   "christhood",
   "courthouse",
   "discotheque",
   "dustheap",
   "esthonia",
   "faintheart",
   "fainthearted",
   "fathead",
   "firsthand",
   "flathead",
   "foothill",
   "foothold",
   "gilthead",
   "goatherd",
   "goethe",
   "guesthouse",
   "hofmannsthal",
   "hothead",
   "hotheaded",
   "hothouse",
   "jagannath",
   "kathiawar",
   "knighthead",
   "knighthood",
   "knothole",
   "lighthouse",
   "luthuli",
   "mathura",
   "meathead",
   "nighthawk",
   "nuthatch",
   "nuthouse",
   "outhaul",
   "outhouse",
   "parenthood",
   "penthouse",
   "pesthole",
   "pesthouse",
   "pilothouse",
   "pithead",
   "porthole",
   "posthaste",
   "posthumous",
   "pothead",
   "potherb",
   "pothole",
   "pothook",
   "pothouse",
   "pothunter",
   "priesthood",
   "rajasthan",
   "rajasthani",
   "rathenau",
   "restharrow",
   "sainthood",
   "shorthand",
   "shorthanded",
   "shorthorn",
   "softhearted",
   "spathose",
   "spithead",
   "stadtholder",
   "stouthearted",
   "sweetheart",
   "thai",
   "thailand",
   "thais",
   "thames",
   "theravada",
   "theresa",
   "thomas",
   "thomism",
   "thompson",
   "thomson",
   "thyme",
   "tufthunter",
   "warthog"
};

